CFD Online URL
[Sponsors]
Home > Forums > OpenFOAM

Can't open paraFoam

Register Blogs Members List Search Today's Posts Mark Forums Read

Reply
 
LinkBack Thread Tools Display Modes
Old   January 24, 2010, 00:56
Lightbulb Can't open paraFoam
  #1
New Member
 
Joaquín J. Correa
Join Date: Jan 2010
Posts: 18
Rep Power: 6
Pytthon is on a distinguished road
After unpacking and installing OF 1.6 with binaries, when using paraFoam, the following error appears (step by step with README)

/OpenFOAM/ThirdParty-1.6/paraview-3.6.1/platforms/linux64Gcc/bin/paraview-real: error while loading shared libraries: libQtAssistantClient.so.4: cannot open shared object file: No such file or directory

I modified permissions for paraview-real with no success, blocMesh and icoFoam works fine, any ideas? Thanks.
Pytthon is offline   Reply With Quote

Old   January 25, 2010, 03:44
Default
  #2
Senior Member
 
Fabian Schlegel
Join Date: Apr 2009
Location: Dresden, Germany
Posts: 171
Rep Power: 7
fs82 is on a distinguished road
I have a similar problem. The Qt Libary is provided by your Operating System, e.g. Suse or Ubuntu. And if the Qt version doesn't match the required one form paraview you will get an error. I downloaded paraview from the webpage http://www.paraview.org/ and this works fine.
fs82 is offline   Reply With Quote

Old   January 25, 2010, 09:47
Default
  #3
New Member
 
Joaquín J. Correa
Join Date: Jan 2010
Posts: 18
Rep Power: 6
Pytthon is on a distinguished road
I already tar paraview's last release, what's the next step, how can I update the libraries?

Regards
Pytthon is offline   Reply With Quote

Old   January 25, 2010, 09:50
Default
  #4
New Member
 
Joaquín J. Correa
Join Date: Jan 2010
Posts: 18
Rep Power: 6
Pytthon is on a distinguished road
Quote:
Originally Posted by fs82 View Post
I have a similar problem. The Qt Libary is provided by your Operating System, e.g. Suse or Ubuntu. And if the Qt version doesn't match the required one form paraview you will get an error. I downloaded paraview from the webpage http://www.paraview.org/ and this works fine.
Quote:
Originally Posted by Pytthon View Post
I already tar paraview's last release, what's the next step, how can I update the libraries?

Regards
Running with CentOS 4.x
Pytthon is offline   Reply With Quote

Old   January 25, 2010, 11:42
Default
  #5
Senior Member
 
Fabian Schlegel
Join Date: Apr 2009
Location: Dresden, Germany
Posts: 171
Rep Power: 7
fs82 is on a distinguished road
I didn't tried it out to change the Qt Libary. For my opinion this library is very heavy integrated into your system. As far as I know KDE or Gnome uses QT too. So if you have downloaded the current paraview release and it works everything is fine. Use foamToVTK to convert your foam files into VTK files on thats it. May be you can try to copy paraview to your Thirdparty directory and try Allwmake to recompile paraview. If this works you should be able to use parafoam. But I never tried this out.

Fabian
fs82 is offline   Reply With Quote

Reply

Tags
installing openfoam 1.6, parafoam, parafoam bug, paraview 3.6.1

Thread Tools
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off
Trackbacks are On
Pingbacks are On
Refbacks are On


Similar Threads
Thread Thread Starter Forum Replies Last Post
Problem installing on Ubuntu 9.10 -> 'Cannot open : No such file or directory' mfiandor OpenFOAM Installation 2 January 25, 2010 10:50
ParaFoam cannot open icoFoam/cavity case Bob OpenFOAM Paraview & paraFoam 1 April 2, 2009 05:34
DxFoam reader update hjasak OpenFOAM Post-Processing 69 April 24, 2008 02:24
OpenFOAM with IBM AIX matthias OpenFOAM Installation 20 March 25, 2008 04:36
ParaFOAM visualization problems robbo OpenFOAM Paraview & paraFoam 0 March 15, 2008 16:10


All times are GMT -4. The time now is 12:39.